Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Should have
Author: Anja Leichsenring Category: Code Cleanup
Created: 2013-06-23 Assigned To:
Updated: 2013-06-28 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Remove Environment Check checkMailCapabilities
Description

This check takes the php.ini settings into account, no matter what settings exist in LocalConfiguration.php.
During the installation the Environment Check is executed, before LocalConfiguration.php even is created. 
So this test can provide misleading information, reporting broken mail functionality, even when it works just fine with the settings given
in LocalConfiguration.php.
So we decided to remove this test in Environment Check entirely and enhance the documentation on the real mail test in Test Setup
with some hints, what can be wrong when no mail is received.
In short order the autoconfiguration tool will be introduced. This will reintegrate the test with some sane default configuration, not
relying on the php.ini settings.

Related issues:
duplicated by Core - Bug # 47774: Installtool System environment -> false neg... Resolved 2013-05-01

Associated revisions
Revision 681add8e - 2013-06-23 16:33 - Anja Leichsenring

[TASK] Remove Environment Check checkMailCapabilities

The check is removed due to providing sometimes inaccurate error status
based on php.ini settings.
For now the real mail test in Test Setup got some hints in case of
missing test email. Later on the auto configuration tool (that not yet
exists) will take over from here.

Resolves: #49357
Releases: 6.2, 6.1
Change-Id: I290cca3fa4653b3a5310b9f27c2b125d9bfeb460
Reviewed-on: https://review.typo3.org/21607
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe

History
#1 - 2013-06-23 14:13 - Gerrit Code Review
- Status changed from New to Under Review

2015-08-04 1/2

https://review.typo3.org/21607


Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21607

#2 - 2013-06-23 16:29 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21607

#3 - 2013-06-23 17:30 - Anja Leichsenring
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:681add8e299548119353d5a97fb92760fc9e5047.
